<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<rss version="2.0" xmlns:atom="http://www.w3.org/2005/Atom" xmlns:content="http://purl.org/rss/1.0/modules/content/">
  <channel>
    <title>Reviews on TheWittyBanter.com</title>
    <link>/reviews/</link>
    <description>Recent content in Reviews on TheWittyBanter.com</description>
    <generator>Hugo</generator>
    <language>en</language>
    <lastBuildDate>Sat, 01 Aug 2026 20:06:17 +0000</lastBuildDate>
    <atom:link href="/reviews/index.xml" rel="self" type="application/rss+xml" />
    <item>
      <title>Statica EP - Avenged Sevenfold</title>
      <link>/reviews/statica/</link>
      <pubDate>Sat, 01 Aug 2026 20:06:17 +0000</pubDate>
      <guid>/reviews/statica/</guid>
      <description>&lt;h2 id=&#34;the-band&#34;&gt;The band&lt;/h2&gt;
&lt;p&gt;Avenged Sevenfold – a critically acclaimed rock/metal outfit from California. Their first couple albums lent more of a hardcore sound, finding their way with tracks like “Second Heartbeat” and “Unholy Confessions” from the second record “Waking the Fallen”. What followed with City of Evil was a commercial success with songs like “Bat Country” and “Seize the Day” finding their way onto the radio. After which they put out another commercially successful self-titled offering. “Almost Easy” and “Afterlife” offering more radio play while “Little Piece of Heaven” was an absolutely GENIUS shock-rock piece allowing them to stretch their legs creatively.&lt;/p&gt;</description>
    </item>
  </channel>
</rss>
